package com.brilliance.isc.common.trndoc.service;

import com.brilliance.isc.bo.Smh;
import com.brilliance.isc.common.trndoc.vo.DoceotVo;
import com.brilliance.isc.common.trndoc.vo.TrndocVo;
import com.brilliance.isc.common.vo.PtsptaVo;

import java.util.List;
import java.util.Map;

public interface DoceotService {

    void setSRTKEY(DoceotVo doceot);

    void setAddressingInfo(DoceotVo doceot, List<PtsptaVo> ptsptaList);

    void setDOCCORSEA(DoceotVo doceot);

    void setCORTYP(DoceotVo doceot);

    void setLang(DoceotVo doceot);

    void setApfFlag(TrndocVo trndocVo,DoceotVo doceot, boolean panelVisibleFlag);

    String getDocRul(String argDOCNAM, String structure, String execution);

    void setPanDsc(DoceotVo doceot);

    boolean isCORTYPTechnical(String cortyp);

    Smh savdoc(DoceotVo doceotVo, TrndocVo trndocVo);

    String docEOTGetField(List<DoceotVo> doceots, String refid, String fieldName);

    String getPtmField(String argInr,String argCortyp,String argSeaFld);

    String getUseCORTYP(DoceotVo doceotVo);

    void setDocSendFormat(DoceotVo doceotVo);

    void xmlPrintClass_TRX(Map<String, List<String[]>> dataMap, DoceotVo doceotVo);

    void printAddressBlock(Map<String, List<String[]>> dataMap, DoceotVo doceotVo);

    String getAdrFormat(DoceotVo doceotVo, String argEtyCty);

    String getFmtAdrBlk(DoceotVo doceotVo,String argAdrFmt);
    void printAddress(Map<String, List<String[]>> dataMap, DoceotVo doceotVo);
}
